Bug 219398 - ddskk: non-failsafe install-info
Summary: ddskk: non-failsafe install-info
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ddskk (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2006-12-12 22:16 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 07:12:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-12-12 22:16:11 UTC
ddskk's install-info invocations are not failsafe against excludedocs or
read-only-netsharedpath-/usr/share installations; appending "|| :" to the
invocations in %post and %preun would fix it.

Additionally, "Requires(post): /sbin/install-info" and "Requires(preun):
/sbin/install-info" seem to be missing.

More info: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

Comment 1 Jens Petersen 2006-12-20 02:38:18 UTC
Thanks, fixing in ddskk-12.2.0-10.fc7.

Comment 3 Ville Skyttä 2006-12-20 06:59:56 UTC
By the way, /sbin/install-info --delete in %preun needs to be wrapped in "if [
$1 -eq 0 ]" to prevent the removal from being done on upgrades.

Comment 4 Jens Petersen 2006-12-20 07:31:44 UTC
Oops, fixing in -11.fc7.

Comment 5 Jens Petersen 2007-01-02 08:27:33 UTC
Ok, the build problem with buildroot path in skk-setup.el should be fixed now.


Note You need to log in before you can comment on or make changes to this bug.